﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PerformanceChartAnomaly
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {


        public Collection<KeyValuePair<DateTime, int>> StatValues
        {
            get { return (Collection<KeyValuePair<DateTime, int>>)GetValue(StatValuesProperty); }
            set { SetValue(StatValuesProperty, value); }
        }

        // Using a DependencyProperty as the backing store for StatValues.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty StatValuesProperty =
            DependencyProperty.Register("StatValues", typeof(Collection<KeyValuePair<DateTime, int>>), typeof(MainWindow));

        
        public MainWindow()
        {
            InitializeComponent();

            DataContext = this;

            int days = 2;
            int max = 60;
            int min = 40;
            int range = max - min;

            Collection<KeyValuePair<DateTime, int>> stats = new Collection<KeyValuePair<DateTime, int>>();
            Random rand = new Random(DateTime.Now.Millisecond);
            for (DateTime current = DateTime.Now.AddDays(-days); current < DateTime.Now; )
            {
                int value = rand.Next(range) + min;

                if (value == max - 1)
                {
                    stats.Add(new KeyValuePair<DateTime, int>(current, 0));
                    current = current.AddMinutes(1d);
                    stats.Add(new KeyValuePair<DateTime, int>(current, max * 2));
                }
                else
                    stats.Add(new KeyValuePair<DateTime, int>(current, value));

                current = current.AddMinutes(1d);
            }

            StatValues = stats;

            previewAreaSeries.XAxis = xCategoryAxis1;
            previewAreaSeries.YAxis = yAxis1;
        }
    }
}
